Subject: Re: bug#39067: shell-command-dont-erase-buffer strange behaviour

From: Tino Calancha <[email-masked]>
Date: Sun, 19 Jan 2020 11:19:19 +0100

Michael Albinus <[email-masked]> writes:

Fixed the bug into emacs-27 branch with commit:
'Fix shell-command-dont-erase-buffer feature'
(2eb0b7835d1a9cd4b804436e33c71058cb38f178)

> I haven't tested yet, but some minor nits:
Thank Michael for the corrections!  I have added then but this one:

> ;; successive commands know the position where the new command starts.
>
>> +          ;; (unless (and pos (memq sym '(save-point beg-last-out)))
>
> This is superfluous, isn't it?
That is requred for a corner case: one of the new tests fails if I
remove that.